<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        caption="msg://notificationEdit.caption"
        focusComponent="form">
    <data>
        <instance id="notificationDc"
                  class="com.company.management.entity.registrationdb.Notification">
            <fetchPlan extends="_base">
                <property name="categoryId"/>
                <property name="detailId" fetchPlan="_instance_name"/>
                <property name="statusId" fetchPlan="_instance_name"/>
                <property name="userId" fetchPlan="_instance_name"/>
            </fetchPlan>
            <loader/>
        </instance>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowCommitAndClose" caption="msg:///actions.Ok"
                icon="EDITOR_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="scrollBox">
        <scrollBox id="scrollBox" spacing="true">
            <form id="form" dataContainer="notificationDc">
                <column width="350px">
                    <entityPicker id="categoryIdField" property="categoryId">
                        <actions>
                            <action id="entityLookup" type="entity_lookup"/>
                            <action id="entityClear" type="entity_clear"/>
                        </actions>
                    </entityPicker>
                    <textField id="createdByField" property="createdBy"/>
                    <dateField id="createdDateField" property="createdDate"/>
                    <textField id="deletedByField" property="deletedBy"/>
                    <dateField id="deletedDateField" property="deletedDate"/>
                    <entityPicker id="detailIdField" property="detailId">
                        <actions>
                            <action id="entityLookup" type="entity_lookup"/>
                            <action id="entityClear" type="entity_clear"/>
                        </actions>
                    </entityPicker>
                    <textField id="lastModifiedByField" property="lastModifiedBy"/>
                    <dateField id="lastModifiedDateField" property="lastModifiedDate"/>
                    <dateField id="readDateTimeField" property="readDateTime"/>
                    <dateField id="sendDateTimeField" property="sendDateTime"/>
                    <entityPicker id="statusIdField" property="statusId">
                        <actions>
                            <action id="entityLookup" type="entity_lookup"/>
                            <action id="entityClear" type="entity_clear"/>
                        </actions>
                    </entityPicker>
                    <entityPicker id="userIdField" property="userId">
                        <actions>
                            <action id="entityLookup" type="entity_lookup"/>
                            <action id="entityClear" type="entity_clear"/>
                        </actions>
                    </entityPicker>
                    <textField id="versionField" property="version"/>
                </column>
            </form>
        </scrollBox>
        <hbox id="editActions" spacing="true">
            <button id="commitAndCloseBtn" action="windowCommitAndClose"/>
            <button id="closeBtn" action="windowClose"/>
        </hbox>
    </layout>
</window>
